package com.xzzn.ems.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * 消防数据对象 ems_xf_data
 *
 * @author xzzn
 * @date 2025-10-21
 */
public class EmsXfData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 数据采集时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "数据采集时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dataTimestamp;

    /** 主电源备用电池状态 */
    @Excel(name = "主电源备用电池状态")
    private BigDecimal dczt;

    /** 手自动状态延时状态 */
    @Excel(name = "手自动状态延时状态")
    private BigDecimal yszt;

    /** 启动喷洒气体喷洒状态 */
    @Excel(name = "启动喷洒气体喷洒状态")
    private BigDecimal pszt;

    /** 压力开关状态电磁阀状态 */
    @Excel(name = "压力开关状态电磁阀状态")
    private BigDecimal dcfzt;

    /** 站点id */
    @Excel(name = "站点id")
    private String siteId;

    /** 设备唯一标识符 */
    @Excel(name = "设备唯一标识符")
    private String deviceId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setDataTimestamp(Date dataTimestamp)
    {
        this.dataTimestamp = dataTimestamp;
    }

    public Date getDataTimestamp()
    {
        return dataTimestamp;
    }

    public void setDczt(BigDecimal dczt)
    {
        this.dczt = dczt;
    }

    public BigDecimal getDczt()
    {
        return dczt;
    }

    public void setYszt(BigDecimal yszt)
    {
        this.yszt = yszt;
    }

    public BigDecimal getYszt()
    {
        return yszt;
    }

    public void setPszt(BigDecimal pszt)
    {
        this.pszt = pszt;
    }

    public BigDecimal getPszt()
    {
        return pszt;
    }

    public void setDcfzt(BigDecimal dcfzt)
    {
        this.dcfzt = dcfzt;
    }

    public BigDecimal getDcfzt()
    {
        return dcfzt;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public void setDeviceId(String deviceId)
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId()
    {
        return deviceId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("dataTimestamp", getDataTimestamp())
                .append("dczt", getDczt())
                .append("yszt", getYszt())
                .append("pszt", getPszt())
                .append("dcfzt", getDcfzt())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("siteId", getSiteId())
                .append("deviceId", getDeviceId())
                .toString();
    }
}
